<!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
{% block sw_cms_element_ext_slider %}
<div
    class="sw-cms-el-ext-slider"
    :class="classes"
>
    <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
    {% block sw_cms_element_ext_slider_title %}
    <div
        v-if="element.config.title.value"
        class="sw-cms-el-ext-slider__title"
    >
        {{ element.config.title.value }}
    </div>
    {% endblock %}

    <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
    {% block sw_cms_element_ext_slider_content %}
    <div class="sw-cms-el-ext-slider__content">

        <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
        {% block sw_cms_element_ext_slider_product_holder %}
        <div
            ref="productHolder"
            class="sw-cms-el-ext-slider__product-holder">
            <template v-if="!element.data || !element.data.products">
                <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                {% block sw_cms_element_ext_slider_demo_data %}
                <sw-cms-el-product-box
                    v-for="index in sliderBoxLimit"
                    :key="index"
                    :element="demoProductElement"
                />
                {% endblock %}
            </template>

            <template v-else>
                <!-- eslint-disable-next-line sw-deprecation-rules/no-twigjs-blocks -->
                {% block sw_cms_element_ext_slider_products %}
                <!-- eslint-disable vue/no-use-v-if-with-v-for -->
                <sw-cms-el-product-box
                    v-for="(product, index) in element.data.products"
                    v-if="index < sliderBoxLimit"
                    :key="product.id"
                    :element="getProductEl(product)"
                />
                {% endblock %}
            </template>
        </div>
        {% endblock %}
    </div>
    {% endblock %}
</div>
{% endblock %}
